SparseMatrix.h File Reference
`#include "Pattern.h"`
`#include "Options.h"`
`#include "MKL.h"`
`#include "MUMPS.h"`
`#include "UMFPACK.h"`

Go to the source code of this file.

## Classes

struct | paso::SparseMatrix< T >

## Namespaces

| paso

## Typedefs

template<typename T >
using | paso::SparseMatrix_ptr = boost::shared_ptr< SparseMatrix< T > >
template<typename T >
using | paso::const_SparseMatrix_ptr = boost::shared_ptr< const SparseMatrix< T > >
typedef int | paso::SparseMatrixType

## Functions

void | paso::SparseMatrix_MatrixVector_CSC_OFFSET0 (const double alpha, const_SparseMatrix_ptr< double > A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSC_OFFSET1 (const double alpha, const_SparseMatrix_ptr< double > A, const double *in, const double beta, double *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0 (const double alpha, const_SparseMatrix_ptr< double > A, const double *in, const double beta, double *out)
template<typename T >
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET1 (const double alpha, const_SparseMatrix_ptr< T > A, const T *in, const double beta, T *out)
void | paso::SparseMatrix_MatrixVector_CSR_OFFSET0_DIAG (const double alpha, const_SparseMatrix_ptr< double > A, const double *in, const double beta, double *out)
SparseMatrix_ptr< double > | paso::SparseMatrix_MatrixMatrix (const_SparseMatrix_ptr< double > A, const_SparseMatrix_ptr< double > B)
SparseMatrix_ptr< double > | paso::SparseMatrix_MatrixMatrixTranspose (const_SparseMatrix_ptr< double > A, const_SparseMatrix_ptr< double > B, const_SparseMatrix_ptr< double > T)
void | paso::Preconditioner_LocalSmoother_free (Preconditioner_LocalSmoother *in)